Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 691710 - x11-terms/xvt-2.1-r3 : ttyinit.c:52:10: fatal error: stropts.h: No such file or directory
Summary: x11-terms/xvt-2.1-r3 : ttyinit.c:52:10: fatal error: stropts.h: No such file ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-07 18:31 UTC by Toralf Förster
Modified: 2020-04-27 08:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.67 KB, text/plain)
2019-08-07 18:31 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,214.13 KB, text/plain)
2019-08-07 18:31 UTC, Toralf Förster
Details
environment (environment,46.10 KB, text/plain)
2019-08-07 18:31 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.22 KB, application/x-bzip)
2019-08-07 18:31 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,12.33 KB, application/x-bzip)
2019-08-07 18:31 UTC, Toralf Förster
Details
x11-terms:xvt-2.1-r3:20190807-182636.log (x11-terms:xvt-2.1-r3:20190807-182636.log,2.35 KB, text/plain)
2019-08-07 18:31 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2019-08-07 18:31:35 UTC
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native 					   	  -DLINUX   -c -o sbar.o sbar.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native 					   	  -DLINUX   -c -o ttyinit.o ttyinit.c
ttyinit.c:52:10: fatal error: stropts.h: No such file or directory
   52 | #include <stropts.h>
      |          ^~~~~~~~~~~
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20190803-231951

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.1.0 *

Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.36.0 *
java-config:
The following VMs are available for generation-2:


emerge -qpvO x11-terms/xvt
--- Invalid atom in /etc/portage/package.accept_keywords/00unstable: sys-libs/glibc-2.30
Comment 1 Toralf Förster gentoo-dev 2019-08-07 18:31:38 UTC
Created attachment 586070 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2019-08-07 18:31:40 UTC
Created attachment 586072 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2019-08-07 18:31:43 UTC
Created attachment 586074 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2019-08-07 18:31:46 UTC
Created attachment 586076 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2019-08-07 18:31:48 UTC
Created attachment 586078 [details]
temp.tbz2
Comment 6 Toralf Förster gentoo-dev 2019-08-07 18:31:51 UTC
Created attachment 586080 [details]
x11-terms:xvt-2.1-r3:20190807-182636.log
Comment 7 Sergei Trofimovich gentoo-dev 2020-02-17 20:30:13 UTC
Uses I_PUSH ioctl. Probably does not work.
Comment 8 Larry the Git Cow gentoo-dev 2020-03-26 21:33:14 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a5b3cab908c19c899a1c4710d80fa1a6b4dedb9

commit 1a5b3cab908c19c899a1c4710d80fa1a6b4dedb9
Author:     Andreas K. Huettel <dilfridge@gentoo.org>
AuthorDate: 2020-03-26 21:32:11 +0000
Commit:     Andreas K. Huettel <dilfridge@gentoo.org>
CommitDate: 2020-03-26 21:32:11 +0000

    package.mask: Mask x11-terms/aterm and x11-terms/xvt for removal
    
    Bug: https://bugs.gentoo.org/691756
    Bug: https://bugs.gentoo.org/691710
    Signed-off-by: Andreas K. Huettel <dilfridge@gentoo.org>

 profiles/package.mask | 6 ++++++
 1 file changed, 6 insertions(+)
Comment 9 Larry the Git Cow gentoo-dev 2020-04-27 08:11:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d6d083189724f778698d194b66e7e1b0e29cf42

commit 2d6d083189724f778698d194b66e7e1b0e29cf42
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-04-27 08:09:26 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-04-27 08:09:26 +0000

    x11-terms/xvt: remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/691710
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 x11-terms/xvt/Manifest                       |  2 -
 x11-terms/xvt/files/xvt-int-main.patch       | 23 ----------
 x11-terms/xvt/files/xvt-makefile.patch       | 20 ---------
 x11-terms/xvt/files/xvt-pts.patch            | 12 ------
 x11-terms/xvt/files/xvt-ttyinit-svr4pty.diff | 63 ----------------------------
 x11-terms/xvt/metadata.xml                   |  8 ----
 x11-terms/xvt/xvt-2.1-r3.ebuild              | 49 ----------------------
 7 files changed, 177 deletions(-)